<div class="example-container" >
  <form [formGroup]="userForm" (ngSubmit)="onsubmit()">
    <mat-form-field>
      <label name></label>
      <input matInput placeholder="name" [(ngModel)]="data.name" formControlName="name">
    </mat-form-field>
    <mat-form-field>
      <label family></label>
      <input matInput placeholder="family"  [(ngModel)]="data.family" formControlName="family" >
    </mat-form-field>
    <mat-form-field>
      <label family></label>
      <input matInput placeholder="mobile"  [(ngModel)]="data.mobile" formControlName="mobile">
    </mat-form-field>
    <button mat-raised-button type="submit" [mat-dialog-close]="data" (click)="saveUser(this.data)" [disabled]="userForm.invalid"   *ngIf="this.data[1] === 'add'"   >
      add user</button>
    <button mat-raised-button type="submit" [mat-dialog-close]="data" (click)="updateUser(this.data)" [disabled]="userForm.invalid" *ngIf="this.data[0] === 'update'">
      edit user</button>
    <button mat-raised-button (click)="onNoClick()">close</button>
  </form>
</div>

<!---->
<!---->
